Bug 21838 - [FR] separate apropos/whatis/makewhatis
: [FR] separate apropos/whatis/makewhatis
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/man)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-10-05 20:11 by
Modified: 2012-11-10 16:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-10-05 20:11:51
Предлагается вынести:
/usr/bin/apropos
/usr/bin/whatis
/usr/sbin/makewhatis
/etc/cron.daily/makewhatis
/etc/cron.weekly/makewhatis
/var/cache/man/X11R6/whatis
/var/cache/man/local/whatis
/var/cache/man/perl/whatis
/var/cache/man/whatis
/var/lock/makewhatis
и соответствующие manpages в отдельный подпакет, который я бы на большинстве
систем с удовольствием не ставил или сносил.

См. тж. bug #21793.
------- Comment #1 From 2009-10-05 22:23:50 -------
хорошая мысль
------- Comment #2 From 2009-11-16 00:41:26 -------
> -[FR] seperate apropos/whatis/makewhatis
> +[FR] separate apropos/whatis/makewhatis
Вообще-то подразумевалось "прилагательное vs глагол", но пусть будет так,
нечего выпендриваться сомнительным образом :)
------- Comment #3 From 2011-02-24 12:48:41 -------
Лёш, ты примешь такой патч?  Мне бы очень хотелось иметь возможность класть в
лёгкие дистрибутивы и контейнеры man(1) без makewhatis(8).
------- Comment #4 From 2011-02-24 13:36:45 -------
Какой патч ?

Как вы предполагаете решать проблему обновления тех у кого whatis уже есть из
пакета man ?
------- Comment #5 From 2011-02-24 19:17:41 -------
(In reply to comment #4)
> Какой патч?
spec patch/commit :)  Мне надо -- я-то не против сделать, абы не на выброс.

> Как вы предполагаете решать проблему обновления тех у кого whatis уже есть
> из пакета man ?
man сделать метапакетом, который Requires: man-minimal man-extras, разумеется.
------- Comment #6 From 2011-03-15 13:13:55 -------
Ещё одно рацпредложение (возможно, промежуточное): в posttrans-триггере для
содержащих man-страницы пакетов выставлять флажок, что надо по (ана)крону
запустить makewhatis.

Ну задолбал меня этот навязчивый сервис, задолбал :)
------- Comment #7 From 2011-03-26 16:06:56 -------
(В ответ на комментарий №6)
> Ну задолбал меня этот навязчивый сервис, задолбал :)

+1. Коллеги, нервы ж не железные! Бутишь ноутбук на батарее: тут бы побыстрее
всё сделать! А он запускает этот никому не нужный сервис. И даже неотнайсленый.
(!!!)

В крайнем случае можно его заэкранировать idlewrap имени mike.
------- Comment #8 From 2011-03-26 16:10:57 -------
(In reply to comment #7)
> Бутишь ноутбук на батарее: тут бы побыстрее
> всё сделать! А он запускает этот никому не нужный сервис. И даже неотнайсленый.
> (!!!)

Для ноутов, наверное, стОит сделать отдельную проверку -- не запускать если
питание от батареи.
------- Comment #10 From 2012-11-10 16:41:14 -------
Спасибо!

$ rpm -ql man-whatis-1.6f-alt14 | grep bin/
/usr/bin/apropos
/usr/bin/whatis
/usr/sbin/makewhatis

* Tue Jun 26 2012 Dmitry V. Levin <ldv@altlinux> 1.6f-alt14
- Merged man-base subpackage back to man subpackage; man-whatis
  subpackage is no longer required by man subpackage
  (by Mikhail Efremov; closes: #27501).

* Wed Jun 20 2012 Alexey Gladkov <legion@altlinux> 1.6f-alt13
- Replace makewhatis with ALT-specific script and move whatis in
  subpackage (ALT#21793) (thx Mikhail Efremov).